package com.tofly.analyse.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.analyse.entity.PipeCountDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SpaceCountMapper {

	public List<String> getSpaceCountData(@Param("param")Map<String,Object> param);

	public List<Map> getPipeCountData(Page page, @Param("param")PipeCountDto pipeCountDto);

	public List<Map> getSubtypeCountData(@Param("param") Map<String,Object> param);

}